import 'package:flutter/material.dart';
import 'package:flutter_gen/gen_l10n/app_localizations.dart';
import 'addCam/add_cam_main.dart';

// * The homepage where you can choose to add something or view the database entries


class HomePage extends StatelessWidget {
  const HomePage({super.key});



  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text(AppLocalizations.of(context)!.homePageTitle),
      actions: [
      PopupMenuButton(
        onSelected: (value) {
          Navigator.pushNamed(context, value.toString());
        },
        itemBuilder: (context) => [
        PopupMenuItem(
          value: '/settings',
          child: Text(AppLocalizations.of(context)!.settings),
        ),
        PopupMenuItem(
          value: '/introScreen',
          child: Text(AppLocalizations.of(context)!.showloginscreen))
      ])
      ],
      ),
      body: Column(
        children: [
          Image.asset('assets/images/reconix.png'),
          Center(
            child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              ElevatedButton(
                  onPressed: () {
                    Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => const AddCamMain()));
                  },
                  child: Text(AppLocalizations.of(context)!.addplace)),
              ElevatedButton(onPressed: () => Navigator.pushNamed(context, '/viewCams'),
              child: Text(AppLocalizations.of(context)!.viewplaces)),
          
            ],
          )),
        ],
      ),
    );
  }
}
